%
% setup_cosim.m
%
% Installer script for Alpha Data XRC Cosimulation Blockset
% for use with Xilinx System Generator 3.1
%


if (~exist('xrc_matlab.zip','file'))
    error('Cannot find file xrc_matlab.zip');
end 

instpath=[matlabroot '\toolbox'];

if (~exist([instpath '\alphadata']))
    mkdir(instpath,'\alphadata');
end

if (exist([instpath '\alphadata\xrc_matlab']))
    warning('Toolbox Already Installed : Replacing');
    rmdir([instpath '\alphadata\xrc_matlab'],'s');
end
    
unzip('xrc_matlab.zip',[instpath '\alphadata']);

fname=fullfile(matlabroot,'work','startup.m');

fid=fopen(fname,'a');
fprintf(fid,'\npath(path,''%s'')\n',[instpath '\alphadata\xrc_matlab']);
fclose(fid);

fprintf(1,'Installation complete\n');
fprintf(1,'Please exit and restart Matlab\n');


