%
% Script file simple.m
%
% Simple demonstration of Matlab interaction with ADMXRC card

% Initialise card 
handle=admxrc_init;
% Load bit file onto card
fname=getFPGAfilename(handle,'simple');
admxrc_config(handle,fname);

finish=0;

disp('Enter up to 8 digit Hex Values');
disp('Enter 55AA to end');

offset=0;

while (finish==0)
  % Input Hex Number
  s=input('>','s'); 
  d=hex2dec(s);
  if (d>hex2dec('7fffffff'))
    d=d-hex2dec('100000000');
  end
  % Send Hex Number to ADMXRC
  admxrc_write32(handle,offset,int32(d));
  % Read HEX Number from ADMXRC
  out=double(admxrc_read32(handle,offset,1));
  
  % Terminate if 55AA entered
  if (d==21930)
    finish=1;
  end
  
  % Display string and reversed output
  fprintf(1,'In: %s\t',s);
  if (out<0)
    fprintf(1,'Out: %s\n',dec2hex(out+2^32));
  else
    fprintf(1,'Out: %s\n',dec2hex(out));
  end
end

% Close card
admxrc_close(handle);
  
