function fname=getFPGAfilename(handle,filename);
% GET FPGA FILENAME
% 
% Usage:
% fullfilename=getFPGAfilename(handle,filename)
%
% Returns the full filename of the correct FPGA
% configuration file for the card in use
% from the ADM-XRC SDK directories

ADMXRC_PATH = getenv('ADMXRC_SDK4');
if (length(ADMXRC_PATH)<2)
  error('Cannot find ADMXRC_SDK environment variable');
end

[id,sn,board,fpga]=admxrc_getinfo(handle);

if (strcmp(fpga(1:12),'Virtex-II 2V'))
    fpga = ['2v' fpga(13:16)];
else
   if (strcmp(fpga(1:17),'Virtex-II Pro 2VP'))
      fpga = ['2vp' fpga(18:length(fpga))];
   else
      if (strcmp(fpga(1:11),'Virtex-4 V4'))
          fpga = ['4v' fpga(12:length(fpga))];
      end
   end
end



if (ADMXRC_PATH(length(ADMXRC_PATH))=='\')
  tmp='';
else
  tmp='\';
end
  
fname=[ADMXRC_PATH tmp 'bit\' filename '\' filename '-' board '-' ...
       fpga '.bit'];

